/*-------------------------------------------------------------------------
 *
 * pg_bm_client_global_keys_args.h
 *	  definition of the "client_global_keys_args" system catalog (pg_bm_client_global_keys_args)
 *
 *
 * Portions Copyright (c) 2022-2023, BigMath Corporation
 *
 * src/include/catalog/pg_bm_client_global_keys_args.h
 *
 * NOTES
 *	  The Catalog.pm module reads this file and derives schema
 *	  information.
 *
 *-------------------------------------------------------------------------
 */
#ifndef PG_BM_CLIENT_GLOBAL_KEYS_ARGS_H
#define PG_BM_CLIENT_GLOBAL_KEYS_ARGS_H

#include "catalog/genbki.h"
#include "catalog/pg_bm_client_global_keys_args_d.h"

/* ----------------
 *		pg_bm_client_global_keys_args definition.  cpp turns this into
 *		typedef struct FormData_pg_bm_client_global_keys_args
 * ----------------
 */
CATALOG(pg_bm_client_global_keys_args,8475,BmClientGlobalKeysArgsRelationId) BKI_WITHOUT_OIDS
{
	Oid					global_key_id;
	NameData			function_name;	/* function_name */
	NameData			key;
	bytea				value;
} FormData_pg_bm_client_global_keys_args;

/* ----------------
 *		pg_bm_client_global_keys_args corresponds to a pointer to a tuple with
 *		the format of pg_bm_client_global_keys_args relation.
 * ----------------
 */
typedef FormData_pg_bm_client_global_keys_args * Form_pg_bm_client_global_keys_args;

DECLARE_UNIQUE_INDEX(pg_bm_client_global_keys_args_oid_index,8063,BmClientGlobalKeysArgsOidIndexId,on pg_bm_client_global_keys_args using btree(global_key_id key_ops));

#endif							/* PG_BM_CLIENT_GLOBAL_KEYS_ARGS_H */
